org.wildfly.swarm.config.logging

## Class ConsoleHandler<T extends ConsoleHandler<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.logging.ConsoleHandler<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class ConsoleHandler<T extends ConsoleHandler<T>>
      extends HashMap

  Defines a handler which writes to the console.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ConsoleHandler.Target`

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConsoleHandler(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Boolean` | `autoflush()` Automatically flush after each write.
    `T` | `autoflush(Boolean value)` Automatically flush after each write.
    `Boolean` | `enabled()` If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.
    `T` | `enabled(Boolean value)` If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.
    `String` | `encoding()` The character encoding used by this Handler.
    `T` | `encoding(String value)` The character encoding used by this Handler.
    `String` | `filterSpec()` A filter expression value to define a filter.
    `T` | `filterSpec(String value)` A filter expression value to define a filter.
    `String` | `formatter()` Defines a pattern for the formatter.
    `T` | `formatter(String value)` Defines a pattern for the formatter.
    `String` | `getKey()`
    `Level` | `level()` The log level specifying which message levels will be logged by this logger.
    `T` | `level(Level value)` The log level specifying which message levels will be logged by this logger.
    `String` | `namedFormatter()` The name of the defined formatter to be used on the handler.
    `T` | `namedFormatter(String value)` The name of the defined formatter to be used on the handler.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `ConsoleHandler.Target` | `target()` Defines the target of the console handler.
    `T` | `target(ConsoleHandler.Target value)` Defines the target of the console handler.

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### ConsoleHandler

          public ConsoleHandler(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### autoflush

          public Boolean autoflush()

      Automatically flush after each write.

    - #### autoflush

          public T autoflush(Boolean value)

      Automatically flush after each write.

    - #### enabled

          public Boolean enabled()

      If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.

    - #### enabled

          public T enabled(Boolean value)

      If set to true the handler is enabled and functioning as normal, if set to false the handler is ignored when processing log messages.

    - #### encoding

          public String encoding()

      The character encoding used by this Handler.

    - #### encoding

          public T encoding(String value)

      The character encoding used by this Handler.

    - #### filterSpec

          public String filterSpec()

      A filter expression value to define a filter. Example for a filter that does not match a pattern: not(match("JBAS.*"))

    - #### filterSpec

          public T filterSpec(String value)

      A filter expression value to define a filter. Example for a filter that does not match a pattern: not(match("JBAS.*"))

    - #### formatter

          public String formatter()

      Defines a pattern for the formatter.

    - #### formatter

          public T formatter(String value)

      Defines a pattern for the formatter.

    - #### level

          public Level level()

      The log level specifying which message levels will be logged by this logger. Message levels lower than this value will be discarded.

    - #### level

          public T level(Level value)

      The log level specifying which message levels will be logged by this logger. Message levels lower than this value will be discarded.

    - #### namedFormatter

          public String namedFormatter()

      The name of the defined formatter to be used on the handler.

    - #### namedFormatter

          public T namedFormatter(String value)

      The name of the defined formatter to be used on the handler.

    - #### target

          public ConsoleHandler.Target target()

      Defines the target of the console handler. The value can be System.out, System.err or console.

    - #### target

          public T target(ConsoleHandler.Target value)

      Defines the target of the console handler. The value can be System.out, System.err or console.

Copyright © 2018 JBoss by Red Hat. All rights reserved.